"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const Solid = require("solid-js/web");
const solidRouter = require("@tanstack/solid-router");
const meta = require("@solidjs/meta");
var _tmpl$ = ["<head>", "</head>"], _tmpl$2 = ["<html>", "<body>", "</body></html>"];
function ServerHeadContent() {
  const tags = solidRouter.useTags();
  Solid.useAssets(() => {
    return Solid.createComponent(meta.MetaProvider, {
      get children() {
        return tags().map((tag) => Solid.createComponent(solidRouter.Asset, tag));
      }
    });
  });
  return null;
}
const docType = Solid.ssr("<!DOCTYPE html>");
function StartServer(props) {
  return Solid.createComponent(Solid.NoHydration, {
    get children() {
      return [docType, Solid.ssr(_tmpl$2, Solid.createComponent(Solid.NoHydration, {
        get children() {
          return Solid.ssr(_tmpl$, Solid.escape(Solid.createComponent(Solid.HydrationScript, {})));
        }
      }), Solid.escape(Solid.createComponent(Solid.Hydration, {
        get children() {
          return Solid.createComponent(solidRouter.RouterProvider, {
            get router() {
              return props.router;
            },
            InnerWrap: (props2) => Solid.createComponent(Solid.NoHydration, {
              get children() {
                return Solid.createComponent(meta.MetaProvider, {
                  get children() {
                    return [Solid.createComponent(ServerHeadContent, {}), Solid.createComponent(Solid.Hydration, {
                      get children() {
                        return props2.children;
                      }
                    }), Solid.createComponent(solidRouter.Scripts, {})];
                  }
                });
              }
            })
          });
        }
      })))];
    }
  });
}
exports.ServerHeadContent = ServerHeadContent;
exports.StartServer = StartServer;
//# sourceMappingURL=StartServer.cjs.map
