import { ssr, createComponent, NoHydration, escape, HydrationScript, Hydration, useAssets } from "solid-js/web";
import { RouterProvider, Scripts, useTags, Asset } from "@tanstack/solid-router";
import { MetaProvider } from "@solidjs/meta";
var _tmpl$ = ["<head>", "</head>"], _tmpl$2 = ["<html>", "<body>", "</body></html>"];
function ServerHeadContent() {
  const tags = useTags();
  useAssets(() => {
    return createComponent(MetaProvider, {
      get children() {
        return tags().map((tag) => createComponent(Asset, tag));
      }
    });
  });
  return null;
}
const docType = ssr("<!DOCTYPE html>");
function StartServer(props) {
  return createComponent(NoHydration, {
    get children() {
      return [docType, ssr(_tmpl$2, createComponent(NoHydration, {
        get children() {
          return ssr(_tmpl$, escape(createComponent(HydrationScript, {})));
        }
      }), escape(createComponent(Hydration, {
        get children() {
          return createComponent(RouterProvider, {
            get router() {
              return props.router;
            },
            InnerWrap: (props2) => createComponent(NoHydration, {
              get children() {
                return createComponent(MetaProvider, {
                  get children() {
                    return [createComponent(ServerHeadContent, {}), createComponent(Hydration, {
                      get children() {
                        return props2.children;
                      }
                    }), createComponent(Scripts, {})];
                  }
                });
              }
            })
          });
        }
      })))];
    }
  });
}
export {
  ServerHeadContent,
  StartServer
};
//# sourceMappingURL=StartServer.js.map
