import * as Solid from "solid-js/web";
import { createComponent } from "solid-js/web";
import { isbot } from "isbot";
import { defineHandlerCallback, transformReadableStreamWithRouter } from "@tanstack/start-server-core";
import { StartServer } from "./StartServer.js";
const defaultStreamHandler = defineHandlerCallback(async ({
  request,
  router,
  responseHeaders
}) => {
  const {
    writable,
    readable
  } = new TransformStream();
  const stream = Solid.renderToStream(() => createComponent(StartServer, {
    router
  }));
  if (isbot(request.headers.get("User-Agent"))) {
    await stream;
  }
  stream.pipeTo(writable);
  const responseStream = transformReadableStreamWithRouter(router, readable);
  return new Response(responseStream, {
    status: router.state.statusCode,
    headers: responseHeaders
  });
});
export {
  defaultStreamHandler
};
//# sourceMappingURL=defaultStreamHandler.js.map
